Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		ppl
#Epoch:		0
Version:	0.10.2
Release:	1
License:	GPLv3
URL:		http://www.cs.unipr.it/ppl
Group:		System/Libraries
Summary:	parma polyhedra library
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: gmp-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel

%description
The Parma Polyhedra Library (PPL) provides numerical abstractions especially targeted at applications in the field of analysis and verification of complex systems. These abstractions include convex polyhedra, defined as the intersection of a finite number of (open or closed) halfspaces, each described by a linear inequality (strict or non-strict) with rational coefficients; some special classes of polyhedra shapes that offer interesting complexity/precision tradeoffs; and grids which represent regularly spaced points that satisfy a set of linear congruence relations. The library also supports finite powersets and products of (any kind of) polyhedra and grids and a mixed integer linear programming problem solver using an exact-arithmetic version of the simplex algorithm. (More details are available on the PPL's internal mechanisms.)

The Parma Polyhedra Library is: user friendly (you write x + 2*y + 5*z <= 7 when you mean it); fully dynamic (available virtual memory is the only limitation to the dimension of anything); portable (written in standard C++, with C, Java, Objective CAML and Prolog interfaces, and following all the applicable standards); exception-safe (never leaks resources or leaves invalid object fragments around); efficient (and we hope to make it even more so); thoroughly documented; free software (distributed under the terms of the GNU General Public License version 3 or any later version).

%package        devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    devel
Header and include files for developing applications with %{name}.

%package        java
Summary:        %{name} java bindings
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    java
Java bindings for %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_datadir}/doc
%{_bindir}
%{_libdir}/*.so.*
%{_mandir}


%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_datadir}/aclocal

%files java
%defattr(-,root,root)
%{_libdir}/ppl/*java*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Apr 22 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.10.2-1
- initial CCux package release
